Subject: Re: [PATCH 2/7] powerpc numa: Minor debugging code changes

From: Dave Hansen <[email-masked]>
Date: Tue, 21 Mar 2006 10:27:11 -0800

On Mon, 2006-03-20 at 18:34 -0600, Nathan Lynch wrote:
> Don't print a meaningless associativity depth (-1) on non-numa systems.
...
> -	dbg("NUMA associativity depth for CPU/Memory: %d\n", min_common_depth);
>  	if (min_common_depth < 0)
>  		return min_common_depth;
>  
> +	dbg("NUMA associativity depth for CPU/Memory: %d\n", min_common_depth);

This is debugging code anyway, right?

I thought this might be useful when you're booting on a machine which
you _think_ should be NUMA, but doesn't come up that way.  Did you boot
a non-NUMA kernel, or is something in the reporting wrong?  It makes it
pretty obvious when you see this printout.  

-- Dave